Documentation

Person Profile Endpoint

Cost1 credit / successful request

Get structured data of a Person Profile.

GET
/api/v2/profile

Authorization

BearerAuth client
AuthorizationBearer <token>

In: header

Scope: client

Query Parameters

profile_url?string

The Profile URL from which you wish to extract. We support both raw UTF-8 input and URL-encoded input. For example, https://linkedin.com/in/rodríguez/ and https://linkedin.com/in/rodr%C3%ADguez/ are both valid. We don't support URLs with a hashed ID, e.g. https://www.linkedin.com/in/ACwAAExzrQ0Bjqu...

One ofprofile_url | twitter_profile_url | facebook_profile_url
twitter_profile_url?string

The Twitter/X Profile URL from which you wish to extract person profile URL should be in the format of https://x.com/<public-identifier>

One ofprofile_url | twitter_profile_url | facebook_profile_url
facebook_profile_url?string

The Facebook Profile URL from which you wish to extract person profile URL should be in the format of https://facebook.com/<public-identifier>

One ofprofile_url | twitter_profile_url | facebook_profile_url
extra?string

Enriches the Person Profile with extra details from external sources. Extra details include gender, birth date, industry and interests.
This parameter accepts the following values:

  • exclude (default value) - Does not provide extra data field.
  • include - Append extra data to the person profile object. Costs an extra 1 credit on top of the cost of the base endpoint (if data is available).
github_profile_id?string

Enriches the Person Profile with GitHub ID from external sources.
This parameter accepts the following values:

  • exclude (default value) - Does not provide GitHub ID data field.
  • include - Append GitHub ID data to the person profile object. Costs an extra 1 credit on top of the cost of the base endpoint (if data is available).
facebook_profile_id?string

Enriches the Person Profile with Facebook ID from external sources.
This parameter accepts the following values:

  • exclude (default value) - Does not provide Facebook ID data field.
  • include - Append Facebook ID data to the person profile object. Costs an extra 1 credit on top of the cost of the base endpoint (if data is available).
twitter_profile_id?string

Enriches the Person Profile with Twitter ID from external sources.
This parameter accepts the following values:

  • exclude (default value) - Does not provide Twitter ID data field.
  • include - Append Twitter ID data to the person profile object. Costs an extra 1 credit on top of the cost of the base endpoint (if data is available).
personal_contact_number?string

Enriches the Person Profile with personal numbers from external sources.
This parameter accepts the following values:

  • exclude (default value) - Does not provide personal numbers data field.
  • include - Append personal numbers data to the person profile object. Costs an extra 1 credit per personal number returned on top of the cost of the base endpoint (if data is available).
personal_email?string

Enriches the Person Profile with personal emails from external sources.
This parameter accepts the following values:

  • exclude (default value) - Does not provide personal emails data field.
  • include - Append personal emails data to the person profile object. Costs an extra 1 credit per email returned on top of the cost of the base endpoint (if data is available).
inferred_salary?stringDeprecated

Include inferred salary range from external sources.
This parameter accepts the following values:

  • exclude (default value) - Does not provide inferred salary data field.
  • include - Append inferred salary range data to the person profile object. Costs an extra 1 credit on top of the cost of the base endpoint (if data is available).
skills?stringDeprecated

Include skills data from external sources.
Skills are no longer available as part of public data, but we will show skills for historic profiles, or where skills are inferred or sourced by other means. Expect limited coverage.
This parameter accepts the following values:

  • exclude (default value) - Does not provide skills data field.
  • include - Append skills data to the person profile object. No extra credit is charged for this parameter.
use_cache?string

if-present - Fetches profile from cache regardless of age of profile. If profile is not available in cache, API will attempt to source profile externally. if-recent (Default) - API will make a best effort to return a fresh profile no older than 29 days. Costs an extra 1 credit on top of the cost of the base endpoint.

fallback_to_cache?string

Tweaks the fallback behavior if an error arises from fetching a fresh profile.
This parameter accepts the following values:

  • on-error (default value) - Fallback to reading the profile from cache if an error arises.
  • never - Do not ever read profile from cache.
live_fetch?string

Tweak the behavior of the API to fetch the fresh profile.
This parameter accepts the following values:

  • force - Force the API to fetch the fresh profile. Costs an extra 9 credits on top of the cost of the base endpoint.
  • default (default value) - Do not force the API to fetch the fresh profile. Consider using use_cache instead.

Response Body

application/json

curl -X GET "https://enrichlayer.com/api/v2/profile?profile_url=https%3A%2F%2Flinkedin.com%2Fin%2Fsatyanadella%2F&twitter_profile_url=https%3A%2F%2Fx.com%2Fsatyanadella%2F&facebook_profile_url=https%3A%2F%2Ffacebook.com%2Fsatyanadella%2F&extra=include&github_profile_id=include&facebook_profile_id=include&twitter_profile_id=include&personal_contact_number=include&personal_email=include&inferred_salary=include&skills=include&use_cache=if-present&fallback_to_cache=on-error&live_fetch=force"
{
  "public_identifier": "satyanadella",
  "profile_pic_url": "https://assets.enrichlayer.com/pp/profilepic/7d369850c9fe8c35e78a6a50c75334f5",
  "background_cover_image_url": "https://assets.enrichlayer.com/pp/profilepic/fe878f911fecd238e169a23b12103b0e",
  "first_name": "Satya",
  "last_name": "Nadella",
  "full_name": "Satya Nadella",
  "follower_count": 11888127,
  "occupation": "Chairman and CEO at Microsoft",
  "headline": "Chairman and CEO at Microsoft",
  "summary": "As chairman and CEO of Microsoft, I define my mission and that of my company as empowering every person and every organization on the planet to achieve more.",
  "country": "US",
  "country_full_name": "United States of America",
  "city": "Redmond",
  "state": "Washington",
  "experiences": [
    {
      "starts_at": {
        "day": 1,
        "month": 2,
        "year": 2014
      },
      "ends_at": null,
      "company": "Microsoft",
      "company_linkedin_profile_url": "https://www.linkedin.com/company/microsoft",
      "company_facebook_profile_url": null,
      "title": "Chairman and CEO",
      "description": null,
      "location": "Greater Seattle Area",
      "logo_url": "https://assets.enrichlayer.com/ll/D560BAQH32RJQCl3dDQ/company-logo_100_100/B56ZYQ0mrGGoAU-/0/1744038948046/microsoft_logo?e=2147483647&v=beta&t=rr_7_bFRKp6umQxIHErPOZHtR8dMPIYeTjlKFdotJBY"
    },
    {
      "starts_at": {
        "day": 1,
        "month": 1,
        "year": 2018
      },
      "ends_at": null,
      "company": "University of Chicago",
      "company_linkedin_profile_url": "https://www.linkedin.com/company/uchicago",
      "company_facebook_profile_url": null,
      "title": "Member Board Of Trustees",
      "description": null,
      "location": null,
      "logo_url": "https://assets.enrichlayer.com/pp/profilepic/f40c5f31ef246aeb1000ffb4e40f2991"
    },
    {
      "starts_at": {
        "day": 1,
        "month": 1,
        "year": 2017
      },
      "ends_at": {
        "day": 31,
        "month": 12,
        "year": 2024
      },
      "company": "Starbucks",
      "company_linkedin_profile_url": "https://www.linkedin.com/company/starbucks",
      "company_facebook_profile_url": null,
      "title": "Board Member",
      "description": null,
      "location": null,
      "logo_url": "https://assets.enrichlayer.com/ll/C4D0BAQEQxk9y2rk7Hw/company-logo_100_100/company-logo_100_100/0/1631316692276?e=2147483647&v=beta&t=itdoVXP3gnqtQ7Grar4B3YoPyw-Ors9bKMZlZpb0QcY"
    }
  ],
  "education": [
    {
      "starts_at": {
        "day": 1,
        "month": 1,
        "year": 1994
      },
      "ends_at": {
        "day": 31,
        "month": 12,
        "year": 1996
      },
      "field_of_study": null,
      "degree_name": null,
      "school": "The University of Chicago Booth School of Business",
      "school_linkedin_profile_url": "https://www.linkedin.com/company/universityofchicagoboothschoolofbusiness",
      "school_facebook_profile_url": null,
      "description": null,
      "logo_url": "https://assets.enrichlayer.com/pp/profilepic/88fa467a62fbfc5325394253f14e8700",
      "grade": null,
      "activities_and_societies": null
    },
    {
      "starts_at": {
        "day": null,
        "month": null,
        "year": null
      },
      "ends_at": null,
      "field_of_study": "Electrical Engineering",
      "degree_name": "Bachelor’s Degree",
      "school": "Manipal Institute of Technology, Manipal",
      "school_linkedin_profile_url": "https://www.linkedin.com/company/manipal-institute-of-technology",
      "school_facebook_profile_url": null,
      "description": null,
      "logo_url": "https://assets.enrichlayer.com/pp/profilepic/2aef6f72c73e3b40dbd56163897bdc04",
      "grade": null,
      "activities_and_societies": null
    },
    {
      "starts_at": {
        "day": null,
        "month": null,
        "year": null
      },
      "ends_at": null,
      "field_of_study": "Computer Science",
      "degree_name": "Master’s Degree",
      "school": "University of Wisconsin-Milwaukee",
      "school_linkedin_profile_url": "https://www.linkedin.com/company/uwmilwaukee",
      "school_facebook_profile_url": null,
      "description": null,
      "logo_url": "https://assets.enrichlayer.com/pp/profilepic/7916094135030c5846f34230e03dbaa2",
      "grade": null,
      "activities_and_societies": null
    }
  ],
  "accomplishment_organisations": [],
  "accomplishment_publications": [],
  "accomplishment_honors_awards": [],
  "accomplishment_patents": [],
  "accomplishment_courses": [],
  "accomplishment_projects": [],
  "accomplishment_test_scores": [],
  "volunteer_work": [],
  "certifications": [],
  "connections": 500,
  "people_also_viewed": [
    {
      "link": "https://www.linkedin.com/in/kevinolearytv",
      "name": "Kevin O'Leary",
      "summary": "Chairman, O’Leary Ventures and Beanstox",
      "location": "West Palm Beach"
    },
    {
      "link": "https://www.linkedin.com/in/aaronmartinfc",
      "name": "Aaron Martin",
      "summary": "Vice President Healthcare at Amazon",
      "location": "Seattle"
    },
    {
      "link": "https://www.linkedin.com/in/guthriescott",
      "name": "Scott Guthrie",
      "summary": "Executive Vice President at Microsoft",
      "location": "Bellevue"
    },
    {
      "link": "https://www.linkedin.com/in/toufisaliba",
      "name": "Toufi Saliba",
      "summary": "Author TODA/IP  .  | . CEO HyperCycle.AI  .  | . Chair - International Protocols for AI Security IEEE",
      "location": "San Francisco"
    },
    {
      "link": "https://www.linkedin.com/in/rajeshgopinathan",
      "name": "Rajesh Gopinathan",
      "summary": null,
      "location": "Mumbai"
    }
  ],
  "recommendations": [],
  "activities": [
    {
      "title": "Microsoft has been positioned as a Leader for the fourteenth consecutive year in the Gartner 2021 Magic Quadrant for Analytics and Business…",
      "link": null,
      "activity_status": null
    },
    {
      "title": "On March 17, we’re trying something we’ve never done before: Microsoft will host #Include2021, a free, global, digital event focused on diversity &…",
      "link": null,
      "activity_status": null
    },
    {
      "title": "I talked to Bill Gates about his important new book, which provides a framework to reduce our world’s greenhouse gas emissions to zero, including…",
      "link": null,
      "activity_status": null
    }
  ],
  "similarly_named_profiles": [],
  "articles": [],
  "groups": [],
  "meta": {
    "thin_profile": false,
    "last_updated": "2025-03-15T08:22:00Z"
  }
}
Empty
Empty
Empty
Empty
Empty
Empty
Empty